Retrieves map data for a specific map widget
Use this endpoint to get place locations with EUI, ECI, GHG intensity, and floor area data for map display.
Does NOT support global dashboard filtering with Topmost Place or Place Group API filters.
Returns an empty result in offline mode. Missing geocode data is looked up automatically.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| specificWidgetId | Unique numeric identifier of the specific Map widget instance | integer (int32) | Required |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| chartMonthsToExclude | Optional number of months to exclude from intensity data (0 includes all months including current). Defaults to system setting. | integer (int32) | Optional |
| numMonths | Optional number of months of intensity data to include (end month respects chartMonthsToExclude). Defaults to 12. | integer (int32) | Optional |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
MapWidgetResponseV202209
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| endPeriod | The end period for intensity data on places | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| energyCostIntensityUnit | UnitChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| energyUseIntensityUnit | UnitChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| floorAreaUnit | UnitChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ghgIntensityUnit | UnitChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| places | Place data to draw on the map | MapPlaceChildV202209[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
MapPlaceChildV202209 properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| startPeriod | The start period for intensity data on places | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "endPeriod": 1, "energyCostIntensityUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "energyUseIntensityUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "floorAreaUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "ghgIntensityUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "places": [
{ "address": { "addressTypeId": 1, "city": "string", "country": "string", "latitude": 1.0, "line1": "string", "line2": "string", "line3": "string", "longitude": 1.0, "postalCode": "string", "remitTo": "string", "state": "string"
}, "energyCostIntensity": 1.0, "energyUseIntensity": 1.0, "floorArea": 1.0, "ghgIntensity": 1.0, "placeCode": "string", "placeId": 1, "placeInfo": "string", "primaryUse": { "primaryUseCode": "string", "primaryUseId": 1, "primaryUseInfo": "string"
}
}
], "startPeriod": 1
}